import type { fdOutgoingPosition } from '../fd';
export declare class Dimensions {
    width: number;
    height: number;
    constructor(width: number, height: number);
    getRatio(): number;
}
interface Offset {
    x: number;
    y: number;
}
export declare class Display {
    private screen;
    private source;
    private display;
    private offset;
    constructor(width: number, height: number);
    setOffsetX(x: number): void;
    setOffsetY(y: number): void;
    setWidth(width: number): void;
    setHeight(height: number): void;
    setSource(width: number, height: number): void;
    getOutgoingPosition(): fdOutgoingPosition;
    getDimensions(): Dimensions;
    getOffset(): Offset;
    getScreen(): Dimensions;
    getSource(): Dimensions;
}
export type { Offset };
