interface SequenceObject {
    created: number;
    path: string;
    hash: string;
    name: string;
}
interface VideoObject {
    created: number;
    path: string;
    hash: string;
    name: string;
}
interface ImageObject {
    path: string;
    hash: string;
    name: string;
}
export declare class Files {
    private static sequencesDir;
    static init(sequencesDir: string): Promise<boolean>;
    static exists(path: string): Promise<boolean>;
    static enumerateSequenceDirs(): Promise<string[]>;
    static enumerateSequences(): Promise<SequenceObject[]>;
    static isSequence(dirPath: string): Promise<boolean>;
    static enumerateVideos(path: string): Promise<VideoObject[]>;
    static enumerateSequence(path: string): Promise<ImageObject[]>;
}
export type { SequenceObject, VideoObject, ImageObject };
